Subject: linux-next: manual merge of the perf tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 27 Oct 2021 09:17:05 +1100

Hi all,

Today's linux-next merge of the perf tree got a conflict in:

  tools/perf/util/session.c

between commit:

  8e820f962345 ("perf report: Output non-zero offset for decompressed records")

from Linus' tree and commit:

  3a3535e67dfd ("perf session: Introduce decompressor in reader object")

from the perf tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc tools/perf/util/session.c
index 352f16076e01,51bf2efceb7f..000000000000
--- a/tools/perf/util/session.c
+++ b/tools/perf/util/session.c
@@@ -2116,8 -2122,8 +2122,8 @@@ fetch_decomp_event(u64 head, size_t mma
  static int __perf_session__process_decomp_events(struct perf_session *session)
  {
  	s64 skip;
 -	u64 size, file_pos = 0;
 +	u64 size;
- 	struct decomp *decomp = session->decomp_last;
+ 	struct decomp *decomp = session->active_decomp->decomp_last;
  
  	if (!decomp)
  		return 0;